Skip to content

List operations summary by status

GET
/v1/organizations/{organizationId}/reports/operations-summary

API key scope: reports:read.

X-Request-Id
string

Optional client request id returned in structured errors.

createdFrom
string format: date-time
createdTo
string format: date-time
productId
string
locationId
string
ownerId
string
channelId
string
status
string

Status filter. Supported values depend on report type.

operation
string
Allowed values: receive adjust fulfill write_off return_stock move_state reconcile reserve commit release reservation_cancel expire transfer_out transfer_in transfer_cancel transfer_close inbound_expect inbound_receive inbound_close inbound_cancel outbound_allocate outbound_pick outbound_pack outbound_ship outbound_fulfill outbound_cancel composition_assemble_component composition_assemble_output composition_disassemble_input composition_disassemble_component
inventoryState
string
Allowed values: onHand available reserved committed incoming damaged qualityControl safetyStock
limit
number
default: 50 >= 1 <= 500
cursor
string

Opaque id cursor returned by the previous report page.

Operations summary report.

Media typeapplication/json
object
items
required
Array<object>
object
operationType
required
string
status
required
string
count
required
number
totalQuantity
required
number
completedQuantity
required
number
pendingQuantity
required
number
nextCursor
object
Example
{
"items": [
{
"operationType": "reservations",
"status": "pending",
"count": 2,
"totalQuantity": 8,
"completedQuantity": 0,
"pendingQuantity": 8
},
{
"operationType": "inbounds",
"status": "partiallyReceived",
"count": 1,
"totalQuantity": 20,
"completedQuantity": 12,
"pendingQuantity": 8
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

The organization plan does not allow the requested action.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for active_products",
"requestId": "req_123",
"details": {
"entitlementKey": "active_products",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "100",
"used": "100",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}